<script setup lang="ts">
import { jwtDecode } from "jwt-decode";
import { globalData } from "~/data";

const authenticated = ref(false)
</script>

<template>
  <Login @authenticated="() => authenticated = true" v-if="!authenticated" />
  <Profile v-else />
</template>